GNU bug report logs - #33854
StumpWM build failing.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "brettg@HIDDEN" <brettg@HIDDEN>; dated Sun, 23 Dec 2018 21:26:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 9 Jan 2019 15:08:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 10:08:19 2019
Received: from localhost ([127.0.0.1]:52368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghFSt-000831-Bs
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2019 10:08:19 -0500
Received: from mout02.posteo.de ([185.67.36.66]:52507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1ghFSq-00082l-MW
 for 33854 <at> debbugs.gnu.org; Wed, 09 Jan 2019 10:08:18 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 6AEC72400FB
 for <33854 <at> debbugs.gnu.org>; Wed,  9 Jan 2019 16:08:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1547046489; bh=iB07gaUQ8E6t2sNJty/LARvVa81Gk6Vk9lTzx/xZG6g=;
 h=Date:Subject:From:To:Cc:From;
 b=Nddtb+s+VGdabZPVs7/Qabisxr2eNIz1eOE9WWzUAe+JbBI6wB7Nqeq0pLaJovg3r
 tr6tLQQjObTUW5mu1HhwJnyiikyYvjKVF2axPI4IXB7W+Vk5TuSFRv9TYUBkPembc6
 nOc5VLcjRsAxDZuhh4T/POcgF6VNrEhSWN6Q0ShqBtAcb79k7I0vfMid65mZMdjEMw
 WArmNtYNflo2QU6GFkd8CVB89IKK+BhspoLbsYoqgqErP3KTP5K5mF+4TXXbkEdt9/
 sJvdBGuzn3QhRlzesL/2GNLJahpmShbE9mwBMk2k3iM0HKRuL5tHj+5qH5LIIa9K3I
 haSilbQaefnbA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43ZXYz4Ynnz9rxL;
 Wed,  9 Jan 2019 16:08:07 +0100 (CET)
Date: Wed, 09 Jan 2019 09:08:02 -0600
Subject: Re: bug#33854: StumpWM build failing.
Message-ID: <la23h4es7n8b5gvpbm0emrv0.1547044960586@HIDDEN>
From: "brettg@HIDDEN" <brettg@HIDDEN>
To: Alex Kost <alezost@HIDDEN>, Oleg Pykhalov <go.wigust@HIDDEN>
MIME-Version: 1.0
X-Priority: 3
Content-Type: multipart/alternative;
 boundary="--_com.lge.email_878792398582880"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33854
Cc: 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

----_com.lge.email_878792398582880
Content-Type: text/plain;
   charset=utf-8
Content-Transfer-Encoding: 8bit

This seems to be fixed in Ludo's latest commit 804b9b18ac9188ffb6c6891cbb9241c6a80ed7c8
Sent from my Sprint Phone.
------ Original message------From: brettg@HIDDEN: Tue, Jan 8, 2019 2:15 AMTo: Alex Kost;Oleg Pykhalov;Cc: 33854 <at> debbugs.gnu.org;Subject:bug#33854: StumpWM build failing.

    Just following up here, I returned from vacation and this is still failing. I will dig around after the jet lag settles, but does anybody have any information on this error? It seems to be related to sbcl.
Sent from my Sprint Phone.
------ Original message------From: Alex KostDate: Tue, Dec 25, 2018 7:50 PMTo: Oleg Pykhalov;Cc: 33854 <at> debbugs.gnu.org;Subject:bug#33854: StumpWM build failing.
Alex Kost (2018-12-24 18:01 +0300) wrote:

> Oleg Pykhalov (2018-12-24 09:10 +0300) wrote:
>
>> Hi,
>>
>> Thank you for notice this.
>>
>> "brettg@HIDDEN"  writes:
>>
>>> Hi all, StumpWM is failing to build on my machine. Can anybody
>>> replicate this? […]
>>
>> The build farm can https://ci.guix.info/build/721131
>
> Actually it can't since the build status is "1" which means "failed".

Oops, I'm sorry.  Initially I thought that you meant "build farm can
build it", but now I see you meant "build farm can reproduce the fail" :-)

-- 
Alex







----_com.lge.email_878792398582880
Content-Type: text/html;
   charset=utf-8
Content-Transfer-Encoding: 8bit

<html><head>













</head>
<body>
    <div style="font-size: 10pt;"><div dir="auto">This seems to be fixed in Ludo's latest commit&nbsp;804b9b18ac9188ffb6c6891cbb9241c6a80ed7c8</div><div dir="auto"><br></div><div><div dir="auto" style="font-size:9pt;"><i>Sent from my Sprint Phone.</i></div></div></div><div style="font-size: 10pt;"><div id="LGEmailHeader" dir="auto"><div dir="auto"><br></div><div dir="auto">------ Original message------</div><div dir="auto"><b>From: </b><a href="mailto:brettg@HIDDEN">brettg@HIDDEN</a></div><div dir="auto"><b>Date: </b>Tue, Jan 8, 2019 2:15 AM</div><div dir="auto"><b>To: </b>Alex Kost;Oleg Pykhalov;</div><div dir="auto"><b>Cc: </b><a href="mailto:33854 <at> debbugs.gnu.org">33854 <at> debbugs.gnu.org</a>;</div><div dir="auto"><b>Subject:</b>bug#33854: StumpWM build failing.</div><div dir="auto"><br></div></div><div dir="auto">
    <div style="font-size: 10pt;"><div dir="auto">Just following up here, I returned from vacation and this is still failing. I will dig around after the jet lag settles, but does anybody have any information on this error? It seems to be related to sbcl.</div><div dir="auto"><br></div><div><div dir="auto" style="font-size:9pt;"><i>Sent from my Sprint Phone.</i></div></div></div><div style="font-size: 10pt;"><div id="LGEmailHeader" dir="auto"><div dir="auto"><br></div><div dir="auto">------ Original message------</div><div dir="auto"><b>From: </b>Alex Kost<alezost@HIDDEN></alezost@HIDDEN></div><div dir="auto"><b>Date: </b>Tue, Dec 25, 2018 7:50 PM</div><div dir="auto"><b>To: </b>Oleg Pykhalov;</div><div dir="auto"><b>Cc: </b><a href="mailto:33854 <at> debbugs.gnu.org">33854 <at> debbugs.gnu.org</a>;</div><div dir="auto"><b>Subject:</b>bug#33854: StumpWM build failing.</div><div dir="auto"><br></div></div><pre>Alex Kost <a href="tel:(2018-12-24 18">(2018-12-24 18</a>:01 +0300) wrote:

&gt; Oleg Pykhalov <a href="tel:(2018-12-24 09">(2018-12-24 09</a>:10 +0300) wrote:
&gt;
&gt;&gt; Hi,
&gt;&gt;
&gt;&gt; Thank you for notice this.
&gt;&gt;
&gt;&gt; <a href="mailto:" brettg@HIDDEN"="">"brettg@HIDDEN</a>" <brettg@HIDDEN> writes:
&gt;&gt;
&gt;&gt;&gt; Hi all, StumpWM is failing to build on my machine. Can anybody
&gt;&gt;&gt; replicate this? […]
&gt;&gt;
&gt;&gt; The build farm can <a href="https://ci.guix.info/build/721131">https://ci.guix.info/build/721131</a>
&gt;
&gt; Actually it can't since the build status is "1" which means "failed".

Oops, I'm sorry.  Initially I thought that you meant "build farm can
build it", but now I see you meant "build farm can reproduce the fail" :-)

-- 
Alex



</brettg@HIDDEN></pre></div>


</div></div>


</body></html>
----_com.lge.email_878792398582880--






Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 8 Jan 2019 08:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 08 03:14:15 2019
Received: from localhost ([127.0.0.1]:49202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggmWd-0000T4-E1
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2019 03:14:15 -0500
Received: from mout01.posteo.de ([185.67.36.65]:41540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1ggmWa-0000Sn-G3
 for 33854 <at> debbugs.gnu.org; Tue, 08 Jan 2019 03:14:13 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 23C66160061
 for <33854 <at> debbugs.gnu.org>; Tue,  8 Jan 2019 09:14:06 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1546935246; bh=+4CvbyefSIW7klCUq/C2ZFlJbcPpA9uC7PWf2CqHado=;
 h=Date:Subject:From:To:Cc:From;
 b=JXwH9vlmXOlaQyv6lFEesY0MP9bf/sld50IeFV62GxwALT8bSY2qH2mkJfowXP1Ef
 gfyLNSXNM8o14RDmewGqTlqVO+DPOmf8sFbEXXcIU7jX7Hn82s28KxfD/TNYeBc4Ef
 CNxHHlRZ+DFFHRgiXHXke8LEONb/AljQsadhzxEB6PqXsaSz8hrx3XvN3rc+OKcZ8Z
 0vAquVwdjiPAo3vODHfQ9fPCYSFHyf1y/x9wZPm3pbjVP/4qvV9HCsHHYXphZDltqj
 Q1xRj4NyXRlBUrInqIEzuRv58zI1Uw8mRlljjOKxDpbxOAoOt79oQq1y0m6QixUp/7
 qe/ayPR3ehT2w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43YlQh3kLlz6tm7;
 Tue,  8 Jan 2019 09:14:04 +0100 (CET)
Date: Tue, 08 Jan 2019 02:14:01 -0600
Subject: Re: bug#33854: StumpWM build failing.
Message-ID: <nl0n2ohpveo44hislvnffgv4.1546935177979@HIDDEN>
From: "brettg@HIDDEN" <brettg@HIDDEN>
To: Alex Kost <alezost@HIDDEN>, Oleg Pykhalov <go.wigust@HIDDEN>
MIME-Version: 1.0
X-Priority: 3
Content-Type: multipart/alternative;
 boundary="--_com.lge.email_165813244041410"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33854
Cc: 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

----_com.lge.email_165813244041410
Content-Type: text/plain;
   charset=utf-8
Content-Transfer-Encoding: 8bit

Just following up here, I returned from vacation and this is still failing. I will dig around after the jet lag settles, but does anybody have any information on this error? It seems to be related to sbcl.
Sent from my Sprint Phone.
------ Original message------From: Alex KostDate: Tue, Dec 25, 2018 7:50 PMTo: Oleg Pykhalov;Cc: 33854 <at> debbugs.gnu.org;Subject:bug#33854: StumpWM build failing.
Alex Kost (2018-12-24 18:01 +0300) wrote:

> Oleg Pykhalov (2018-12-24 09:10 +0300) wrote:
>
>> Hi,
>>
>> Thank you for notice this.
>>
>> "brettg@HIDDEN"  writes:
>>
>>> Hi all, StumpWM is failing to build on my machine. Can anybody
>>> replicate this? […]
>>
>> The build farm can https://ci.guix.info/build/721131
>
> Actually it can't since the build status is "1" which means "failed".

Oops, I'm sorry.  Initially I thought that you meant "build farm can
build it", but now I see you meant "build farm can reproduce the fail" :-)

-- 
Alex




----_com.lge.email_165813244041410
Content-Type: text/html;
   charset=utf-8
Content-Transfer-Encoding: 8bit

<html><head>






</head>
<body>
    <div style="font-size: 10pt;"><div dir="auto">Just following up here, I returned from vacation and this is still failing. I will dig around after the jet lag settles, but does anybody have any information on this error? It seems to be related to sbcl.</div><div dir="auto"><br></div><div><div dir="auto" style="font-size:9pt;"><i>Sent from my Sprint Phone.</i></div></div></div><div style="font-size: 10pt;"><div id="LGEmailHeader" dir="auto"><div dir="auto"><br></div><div dir="auto">------ Original message------</div><div dir="auto"><b>From: </b>Alex Kost<alezost@HIDDEN></alezost@HIDDEN></div><div dir="auto"><b>Date: </b>Tue, Dec 25, 2018 7:50 PM</div><div dir="auto"><b>To: </b>Oleg Pykhalov;</div><div dir="auto"><b>Cc: </b><a href="mailto:33854 <at> debbugs.gnu.org">33854 <at> debbugs.gnu.org</a>;</div><div dir="auto"><b>Subject:</b>bug#33854: StumpWM build failing.</div><div dir="auto"><br></div></div><pre>Alex Kost <a href="tel:(2018-12-24 18">(2018-12-24 18</a>:01 +0300) wrote:

&gt; Oleg Pykhalov <a href="tel:(2018-12-24 09">(2018-12-24 09</a>:10 +0300) wrote:
&gt;
&gt;&gt; Hi,
&gt;&gt;
&gt;&gt; Thank you for notice this.
&gt;&gt;
&gt;&gt; <a href="mailto:" brettg@HIDDEN"="">"brettg@HIDDEN</a>" <brettg@HIDDEN> writes:
&gt;&gt;
&gt;&gt;&gt; Hi all, StumpWM is failing to build on my machine. Can anybody
&gt;&gt;&gt; replicate this? […]
&gt;&gt;
&gt;&gt; The build farm can <a href="https://ci.guix.info/build/721131">https://ci.guix.info/build/721131</a>
&gt;
&gt; Actually it can't since the build status is "1" which means "failed".

Oops, I'm sorry.  Initially I thought that you meant "build farm can
build it", but now I see you meant "build farm can reproduce the fail" :-)

-- 
Alex



</brettg@HIDDEN></pre></div>


</body></html>
----_com.lge.email_165813244041410--






Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 24 Dec 2018 17:36:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 12:36:07 2018
Received: from localhost ([127.0.0.1]:35597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbU99-0001Lq-Fj
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 12:36:07 -0500
Received: from mail-pg1-f174.google.com ([209.85.215.174]:40596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1gbU98-0001LN-0K
 for 33854 <at> debbugs.gnu.org; Mon, 24 Dec 2018 12:36:06 -0500
Received: by mail-pg1-f174.google.com with SMTP id z10so5781141pgp.7
 for <33854 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 09:36:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=K1Ui95RffmtaZyNhf45JBJvhZUaZtbI9/ZoJjZcKfHo=;
 b=my+cAKIiz9TNXY4SLnL5Ph8zA9pw+mEfyqURlLnOjjZlMmoLa0OqjH8UqBJ/Pyku/j
 dAxWa7xAP78txO/qQRzK/tU9kQzM4PGCIJCE0HVo67j2cu5y/ryc57ks7A29I0KJu8hs
 23tm1wjBG4iPByaaYB9UeDpv5Wx6kEUWoUMYTj8VxvFMn42Z/+covISnxXVsy7nFLAqL
 gYHCJDvhiVtHCCjKzUIkunxpR4x9MNgOk4h5iz7BnrKrW655nD/x3cFgNxjP9dEtjYnx
 LFLHCpv1vRBuezkLVdL+C7CYB90up9Jq4OLIVfcB20TY5gm/aNZ1B8YQgv4WXW4kYvPm
 XL6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=K1Ui95RffmtaZyNhf45JBJvhZUaZtbI9/ZoJjZcKfHo=;
 b=U8eiANHP3BdTu58OJHiZi3nEoCoEkHSd7LemrnGjV7jrHydpRlRjv8gri8kGMeLBS9
 UNa11jxVb+z8H4EF/SfKa/8sa02FJ833j1WuawtO8KbxZB9v0hCHgipbWcxi+ejsOPZo
 F5g+0IRU+T3I0dq7xy/Eb9rTdxqv97wbyHYYt2VoU/z7HJktj/ydHBFPOnpUBAYkK3FI
 +Ob+zi07C1jkbL7ROLai4wzdQ249ILhkEq0jecgY1F4TjPxTIcES3+HLiADsbaLT8vi4
 nBouuqhlPUlETKyKi50m98Q/wDz+EtHR5oYI9fw3ARpEwvCqCaR7NQNiWRPUFiHdjhLm
 b/Fw==
X-Gm-Message-State: AJcUukehwjr6qqI5PJcQIFnrDl3lBqlTWZzV9Rt4lRaNSDUGak4N/myg
 bBYC02VaQu2lWNxGsR83exaPWNtIthc=
X-Google-Smtp-Source: ALg8bN7y6GDFmfdrGJuyNq3122pG1AOlgLGzEOTVylQhyVc+6dJCoM01nz+ZxJk3Tg9QW0889b7Qpg==
X-Received: by 2002:a63:26c1:: with SMTP id
 m184mr12251996pgm.367.1545672959899; 
 Mon, 24 Dec 2018 09:35:59 -0800 (PST)
Received: from magnolia (ppp78-37-136-106.pppoe.avangarddsl.ru.
 [78.37.136.106])
 by smtp.gmail.com with ESMTPSA id v191sm80553031pgb.77.2018.12.24.09.35.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 09:35:59 -0800 (PST)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: "brettg\@posteo.net" <brettg@HIDDEN>
Subject: Re: bug#33854: StumpWM build failing.
References: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
 <877efztpxp.fsf@HIDDEN> <87wonzezpv.fsf@HIDDEN>
Date: Mon, 24 Dec 2018 20:35:44 +0300
In-Reply-To: <87wonzezpv.fsf@HIDDEN> (Alex Kost's message of "Mon, 24 Dec
 2018 18:01:00 +0300")
Message-ID: <871s66u8sv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33854
Cc: Alex Kost <alezost@HIDDEN>, 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Alex Kost <alezost@HIDDEN> writes:

[=E2=80=A6]

>> "brettg@HIDDEN" <brettg@HIDDEN> writes:
>>
>>> Hi all, StumpWM is failing to build on my machine. Can anybody
>>> replicate this? [=E2=80=A6]
>>
>> The build farm can https://ci.guix.info/build/721131
>
> Actually it can't since the build status is "1" which means "failed".
> See the log: <https://ci.guix.info/build/721131/log/raw>.

We should notice that job failed on core-updates-core-updates.

Well, I've succeeded to build stumpwm on
3c5e13642ccc6db31ae8a017ea3076e63966ccd3

Also substitutes are available, so you could try them.


Oleg.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEcjhxI46s62NFSFhXFn+OpQAa+pwFAlwhGPAACgkQFn+OpQAa
+pwthA/8CY2oTyiJCGjvXmICrjWKnKxs0oNDGlEBDxCFPFXw2caS+V+dxmSA9P3Z
Hu4F4bLxtzF1SmEKtdWwUYxe+K3x4tnjGcgbXTV4v2eqSWd7R5yvUD8qEZWlEewy
1zUvWeKYLTKAl0H8EBRMaz60cEsdQElGmHrJLeXc3KJgqjonQOxNf75F3GSukAoj
TSp5cPTaozEPW4GqCejSt6nEllT65D2III1lDP8t7LDwphOZWE52uayYRV2JKI4k
dFl1zZQDxuBFyq+7nLOjQGCqiMtEJYKZb3ekxoLfcwqw1oWlqWYom042au0VACNE
a4fxBO+qNNsVC9IZCMPO7qkFPOnd+dUvVTkrdQJGXGGUweJYxOmHBIaaca2dliS9
2fn30yyuyn+uWQUS00oT8wkbevyMvnOt6418yGhppG5B8d6oINj2icy7vexwyLB1
dXhYWLeJaL5uL3AXrKauZdXW5jzTysMonOb/z7Aumxnkta8JqcvoiSbDKDWDJTHi
97W2bu1ijdPvzeFf6gkJaKsfaqctmbzW1Xqx37MHGnnzldFuoschV1XG4v8nmcxh
srflwH78zEU3MIchkRKR94M5HJFNJH2vVqhWhy74mGQBZi0u07nEuWKvEC6+F9Pq
R35Z2FDwm59cWXpyWjQpXWe10WHgp/FraEamP2/IFSK8pnHDwMw=
=B3pq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2018 16:45:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 11:45:29 2018
Received: from localhost ([127.0.0.1]:35581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbTM8-0000B0-OV
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 11:45:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1gbNxx-0003zR-Kl
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 06:00:10 -0500
Received: from lists.gnu.org ([208.118.235.17]:57520)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1gbNxs-0003fY-Dm
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 06:00:04 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35501)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1gbNxq-0005kR-CD
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 06:00:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1gbNxl-0003ax-HI
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 06:00:02 -0500
Received: from mail-lf1-x129.google.com ([2a00:1450:4864:20::129]:36436)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1gbNxl-0003aB-4R
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 05:59:57 -0500
Received: by mail-lf1-x129.google.com with SMTP id a16so8029170lfg.3
 for <bug-guix@HIDDEN>; Mon, 24 Dec 2018 02:59:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=HAFI+lKwnp5CA8QbbQkLEjSFKuv1AU48DW/OTBiEV1o=;
 b=aEura2me/J9NbxnPIvOyBG2L5urzcH5tc1MYoeCFARqWQM/lsSrvvm1QNEtKJk5yej
 xiGTyjK1Mvofkkwgqp+6rQwykoDZanBa+i6JVQwySF3BcckLjjQjcFnlzNy1VnxhSgdE
 3CLE9fSi7wN7oD3VOlzmK+ULaPHFwWfad9zbRw+h6WediN4NjiyUPnBL2ZkM+zLICgd1
 qZ/HraozEZHt8xxHrTRjY5FqjEMUvpk+qUd061VKjnSUK1JzTvORQYYCR5Z+pFUwWU/z
 /RO2EyAG6WJoC2jBLdIOajSRW90hrdyr6l9DkMxDLc7vR5A7URvnIQqbIYYYovhfyvME
 csaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=HAFI+lKwnp5CA8QbbQkLEjSFKuv1AU48DW/OTBiEV1o=;
 b=LrUAm4gLydHlM/0wH7a2SO1TNYeqyyusTh6YoLu7Eji+SVYFY2q7nMyg054JcTQwtS
 dQfXW9ozgHKDXgQIZIMi7qQE/APrNN4CLIg/6FYZ81dIVY6bI7nO7MK9uhlVCmd77YEm
 npjkMipaz/wgkr4IzvEuppHaRA7OJ+W1UGWGdibvdw4LoStWEVwSorEVGBPxChKQdyZf
 NrgS1Y9KfLkkz9D/2WYBw1shRCayoQhBXnvnyHzlUZP3pFkTuTbLGbZFkTVh+LtBstE1
 x2Pz+gSZZCnkPWodCI1rPTn6g7BgpzmzIh1zkPkXuNqX7VHtB/Ih79NIRtUOfiFr28bs
 NrUA==
X-Gm-Message-State: AA+aEWa4s2xIpDBSpIjPGUBsK/6ySmQ1Gnb8b3FAOSe7UtTt9NY/ZWms
 cyRKAUg9eJlg183CuxQ7rluOeJwn
X-Google-Smtp-Source: AFSGD/XXi5O+J6pj45szrpuovYp1xKaWZt9et0k47z18UgoGQzNd7EraE1BmJigPDJWvmS1dpqlgEw==
X-Received: by 2002:a19:c995:: with SMTP id z143mr5385683lff.79.1545649194932; 
 Mon, 24 Dec 2018 02:59:54 -0800 (PST)
Received: from localhost ([77.82.2.194])
 by smtp.gmail.com with ESMTPSA id g3-v6sm6480127lje.50.2018.12.24.02.59.53
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 02:59:54 -0800 (PST)
From: boris.dekshteyn@HIDDEN (Boris A. Dekshteyn)
To: bug-guix@HIDDEN
Subject: Re: bug#33854: StumpWM build failing.
References: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
 <877efztpxp.fsf@HIDDEN>
Date: Mon, 24 Dec 2018 22:59:50 +1200
In-Reply-To: <877efztpxp.fsf@HIDDEN> (Oleg Pykhalov's message of "Mon, 24
 Dec 2018 09:10:58 +0300")
Message-ID: <87tvj36vh5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Dec 2018 11:45:26 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Oleg Pykhalov <go.wigust@HIDDEN> writes:

> The build farm can https://ci.guix.info/build/721131


I also have a build error.
My build log:

--8<---------------cut here---------------start------------->8---
; compilation unit finished
;   caught 1 STYLE-WARNING condition
phase `build' succeeded after 4.6 seconds
starting phase `check'
Invoking sbcl: "/gnu/store/5iki23h2q7z9714dvqai426haaihrf5a-sbcl-1.4.13/bin=
/sbcl" "--non-interactive" "--eval" "(require :asdf)" "--eval" "(asdf:load-=
asd (truename \"/gnu/store/nmsk3r03r06rq4nafxg6i9isim9xf61r-stumpwm-18.11-l=
ib/share/common-lisp/sbcl-source/stumpwm/stumpwm.asd\") :name \"stumpwm\")"=
 "--eval" "(when (uiop:file-exists-p \"stumpwm-tests.asd\") (asdf:load-asd =
(truename \"stumpwm-tests.asd\")))" "--eval" "(when (uiop:file-exists-p \"s=
tumpwm-test.asd\") (asdf:load-asd (truename \"stumpwm-test.asd\")))" "--eva=
l" "(when (uiop:file-exists-p \"tests.asd\") (asdf:load-asd (truename \"tes=
ts.asd\")))" "--eval" "(when (uiop:file-exists-p \"test.asd\") (asdf:load-a=
sd (truename \"test.asd\")))" "--eval" "(asdf:test-system \"stumpwm\")"=20
This is SBCL 1.4.13, an implementation of ANSI Common Lisp.
More information about SBCL is available at <http://www.sbcl.org/>.

SBCL is free software, provided as is, with absolutely no warranty.
It is mostly in the public domain; some portions are provided under
BSD-style licenses.  See the CREDITS and COPYING files in the
distribution for more information.
WARNING: PARSE-VERSION: "0.0.0-1.926a066" doesn't follow asdf version numbe=
ring convention
WARNING: Invalid :version specifier "0.0.0-1.926a066" for component "alexan=
dria" from file #P"/gnu/store/jgvgpg6hxh423chn55y0kyxi42l815g7-sbcl-alexand=
ria-0.0.0-1.926a066/lib/sbcl/alexandria.asd", using NIL instead
WARNING: Invalid :version specifier "0.0.0-1.926a066" for component "alexan=
dria" from file #P"/gnu/store/jgvgpg6hxh423chn55y0kyxi42l815g7-sbcl-alexand=
ria-0.0.0-1.926a066/lib/sbcl/alexandria.asd", using NIL instead
WARNING: PARSE-VERSION: "0.0.0-1.1c62774" doesn't follow asdf version numbe=
ring convention
WARNING: Invalid :version specifier "0.0.0-1.1c62774" for component "clx" f=
rom file #P"/gnu/store/5sivd7xbzaspws2a7xk0scm65pla3c7d-sbcl-clx-0.0.0-1.1c=
62774/lib/sbcl/clx.asd", using NIL instead
WARNING: Invalid :version specifier "0.0.0-1.1c62774" for component "clx" f=
rom file #P"/gnu/store/5sivd7xbzaspws2a7xk0scm65pla3c7d-sbcl-clx-0.0.0-1.1c=
62774/lib/sbcl/clx.asd", using NIL instead
WARNING: PARSE-VERSION: "0.0.1-1.d62f755" doesn't follow asdf version numbe=
ring convention
WARNING: Invalid :version specifier "0.0.1-1.d62f755" for component "fiasco=
" from file #P"/gnu/store/ak4rn1z5ry9k94vgd7p354ir7wjbmfz6-sbcl-fiasco-0.0.=
1-1.d62f755/lib/sbcl/fiasco.asd", using NIL instead
WARNING: Invalid :version specifier "0.0.1-1.d62f755" for component "fiasco=
" from file #P"/gnu/store/ak4rn1z5ry9k94vgd7p354ir7wjbmfz6-sbcl-fiasco-0.0.=
1-1.d62f755/lib/sbcl/fiasco.asd", using NIL instead
Unhandled LOAD-SYSTEM-DEFINITION-ERROR in thread #<SB-THREAD:THREAD "main t=
hread" RUNNING {10005185B3}>: Error while trying to load definition for sys=
tem trivial-gray-streams from pathname /gnu/store/j6a71qlbqxz231pckhq58g52p=
lyr0wp1-sbcl-trivial-gray-streams-0.0.0-1.0483ade/share/common-lisp/sbcl-bu=
ndle-systems/trivial-gray-streams.asd: Couldn't load #P"/gnu/store/j6a71qlb=
qxz231pckhq58g52plyr0wp1-sbcl-trivial-gray-streams-0.0.0-1.0483ade/share/co=
mmon-lisp/sbcl-bundle-systems/trivial-gray-streams.asd": file does not exis=
t.

Backtrace for: #<SB-THREAD:THREAD "main thread" RUNNING {10005185B3}>
0: (SB-DEBUG::DEBUGGER-DISABLED-HOOK #<LOAD-SYSTEM-DEFINITION-ERROR {100212=
2383}> #<unused argument> :QUIT T)
1: (SB-DEBUG::RUN-HOOK SB-EXT:*INVOKE-DEBUGGER-HOOK* #<LOAD-SYSTEM-DEFINITI=
ON-ERROR {1002122383}>)
2: (INVOKE-DEBUGGER #<LOAD-SYSTEM-DEFINITION-ERROR {1002122383}>)
3: (ERROR LOAD-SYSTEM-DEFINITION-ERROR :NAME "trivial-gray-streams" :PATHNA=
ME #P"/gnu/store/j6a71qlbqxz231pckhq58g52plyr0wp1-sbcl-trivial-gray-streams=
-0.0.0-1.0483ade/share/common-lisp/sbcl-bundle-systems/trivial-gray-streams=
.asd" :CONDITION #<SB-INT:SIMPLE-FILE-ERROR "~@<Couldn't load ~S: file does=
 not exist.~@:>" {1002122313}>)
4: ((FLET "H0" :IN PERFORM) #<SB-INT:SIMPLE-FILE-ERROR "~@<Couldn't load ~S=
: file does not exist.~@:>" {1002122313}>)
5: (SB-KERNEL::%SIGNAL #<SB-INT:SIMPLE-FILE-ERROR "~@<Couldn't load ~S: fil=
e does not exist.~@:>" {1002122313}>)
6: (ERROR SB-INT:SIMPLE-FILE-ERROR :PATHNAME #P"/gnu/store/j6a71qlbqxz231pc=
khq58g52plyr0wp1-sbcl-trivial-gray-streams-0.0.0-1.0483ade/share/common-lis=
p/sbcl-bundle-systems/trivial-gray-streams.asd" :FORMAT-CONTROL "~@<Couldn'=
t load ~S: file does not exist.~@:>" :FORMAT-ARGUMENTS (#P"/gnu/store/j6a71=
qlbqxz231pckhq58g52plyr0wp1-sbcl-trivial-gray-streams-0.0.0-1.0483ade/share=
/common-lisp/sbcl-bundle-systems/trivial-gray-streams.asd"))
7: (LOAD #P"/gnu/store/j6a71qlbqxz231pckhq58g52plyr0wp1-sbcl-trivial-gray-s=
treams-0.0.0-1.0483ade/share/common-lisp/sbcl-bundle-systems/trivial-gray-s=
treams.asd" :VERBOSE NIL :PRINT NIL :IF-DOES-NOT-EXIST T :EXTERNAL-FORMAT :=
UTF-8)
8: (CALL-WITH-MUFFLED-CONDITIONS #<CLOSURE (LAMBDA NIL :IN LOAD*) {1002121D=
7B}> ("Overwriting already existing readtable ~S." #(#:FINALIZERS-OFF-WARNI=
NG :ASDF-FINALIZERS)))
9: ((FLET "THUNK" :IN PERFORM))
10: (SB-IMPL::%WITH-STANDARD-IO-SYNTAX #<CLOSURE (FLET "THUNK" :IN PERFORM)=
 {7FFFF76DD2CB}>)
11: ((:METHOD PERFORM (DEFINE-OP SYSTEM)) #<DEFINE-OP > #<ASDF/SYSTEM:UNDEF=
INED-SYSTEM "trivial-gray-streams">) [fast-method]
12: ((SB-PCL::EMF PERFORM) #<unused argument> #<unused argument> #<DEFINE-O=
P > #<ASDF/SYSTEM:UNDEFINED-SYSTEM "trivial-gray-streams">)
13: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
14: ((:METHOD PERFORM-WITH-RESTARTS :AROUND (T T)) #<DEFINE-OP > #<ASDF/SYS=
TEM:UNDEFINED-SYSTEM "trivial-gray-streams">) [fast-method]
15: ((:METHOD PERFORM-PLAN (T)) #<SEQUENTIAL-PLAN {100211EBC3}>) [fast-meth=
od]
16: ((FLET SB-C::WITH-IT :IN SB-C::%WITH-COMPILATION-UNIT))
17: ((:METHOD PERFORM-PLAN :AROUND (T)) #<SEQUENTIAL-PLAN {100211EBC3}>) [f=
ast-method]
18: ((:METHOD OPERATE (OPERATION COMPONENT)) #<DEFINE-OP > #<ASDF/SYSTEM:UN=
DEFINED-SYSTEM "trivial-gray-streams"> :PLAN-CLASS NIL :PLAN-OPTIONS NIL) [=
fast-method]
19: ((SB-PCL::EMF OPERATE) #<unused argument> #<unused argument> #<DEFINE-O=
P > #<ASDF/SYSTEM:UNDEFINED-SYSTEM "trivial-gray-streams">)
20: ((LAMBDA NIL :IN OPERATE))
21: ((:METHOD OPERATE :AROUND (T T)) #<DEFINE-OP > #<ASDF/SYSTEM:UNDEFINED-=
SYSTEM "trivial-gray-streams">) [fast-method]
22: ((LAMBDA NIL :IN LOAD-ASD))
23: ((LAMBDA NIL :IN FIND-SYSTEM))
24: (ASDF/SESSION:CONSULT-ASDF-CACHE (FIND-SYSTEM "trivial-gray-streams") #=
<CLOSURE (LAMBDA NIL :IN FIND-SYSTEM) {1002118ACB}>)
25: ((:METHOD FIND-COMPONENT (STRING T)) "trivial-gray-streams" NIL :REGIST=
ERED NIL) [fast-method]
26: (ASDF/FIND-COMPONENT:RESOLVE-DEPENDENCY-NAME #<ASDF/BUNDLE:PREBUILT-SYS=
TEM "fiasco"> "trivial-gray-streams" NIL)
27: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<PREPARE-OP > #<ASDF/BUNDLE:PREBUIL=
T-SYSTEM "fiasco"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/P=
LAN:TRAVERSE-ACTION) {100211877B}>)
28: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
29: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
30: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<PREPARE-OP=
 > #<ASDF/BUNDLE:PREBUILT-SYSTEM "fiasco"> T)
31: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<PREPARE-OP > #<COMPILED-FILE "fias=
co" "fiasco--system"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASD=
F/PLAN:TRAVERSE-ACTION) {10021183FB}>)
32: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
33: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
34: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<PREPARE-OP=
 > #<COMPILED-FILE "fiasco" "fiasco--system"> T)
35: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<LOAD-OP > #<COMPILED-FILE "fiasco"=
 "fiasco--system"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/P=
LAN:TRAVERSE-ACTION) {100211803B}>)
36: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
37: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
38: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<LOAD-OP > =
#<COMPILED-FILE "fiasco" "fiasco--system"> T)
39: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<LOAD-OP > #<ASDF/BUNDLE:PREBUILT-S=
YSTEM "fiasco"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/PLAN=
:TRAVERSE-ACTION) {1002117C2B}>)
40: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
41: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
42: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<LOAD-OP > =
#<ASDF/BUNDLE:PREBUILT-SYSTEM "fiasco"> T)
43: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<PREPARE-OP > #<SYSTEM "stumpwm-tes=
ts"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/PLAN:TRAVERSE-A=
CTION) {10020CD28B}>)
44: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
45: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
46: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<PREPARE-OP=
 > #<SYSTEM "stumpwm-tests"> T)
47: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<PREPARE-OP > #<CL-SOURCE-FILE "stu=
mpwm-tests" "package"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN AS=
DF/PLAN:TRAVERSE-ACTION) {10020CCF2B}>)
48: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
49: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
50: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<PREPARE-OP=
 > #<CL-SOURCE-FILE "stumpwm-tests" "package"> T)
51: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<LOAD-OP > #<CL-SOURCE-FILE "stumpw=
m-tests" "package"> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/=
PLAN:TRAVERSE-ACTION) {10020CCB8B}>)
52: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
53: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
54: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<LOAD-OP > =
#<CL-SOURCE-FILE "stumpwm-tests" "package"> T)
55: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<LOAD-OP > #<SYSTEM "stumpwm-tests"=
> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/PLAN:TRAVERSE-ACTI=
ON) {10020CC79B}>)
56: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
57: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
58: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<LOAD-OP > =
#<SYSTEM "stumpwm-tests"> T)
59: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<TEST-OP > #<SYSTEM "stumpwm-tests"=
> #<CLOSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/PLAN:TRAVERSE-ACTI=
ON) {10020CC3EB}>)
60: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
61: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
62: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<TEST-OP > =
#<SYSTEM "stumpwm-tests"> T)
63: (ASDF/PLAN:MAP-DIRECT-DEPENDENCIES #<TEST-OP > #<SYSTEM "stumpwm"> #<CL=
OSURE (LAMBDA (ASDF/PLAN::O ASDF/PLAN::C) :IN ASDF/PLAN:TRAVERSE-ACTION) {1=
001C2C7FB}>)
64: ((LAMBDA NIL :IN ASDF/PLAN:TRAVERSE-ACTION))
65: ((LAMBDA NIL :IN ASDF/ACTION:CALL-WHILE-VISITING-ACTION))
66: (ASDF/PLAN:TRAVERSE-ACTION #<SEQUENTIAL-PLAN {1001C2B6B3}> #<TEST-OP > =
#<SYSTEM "stumpwm"> T)
67: ((LAMBDA NIL :IN MAKE-PLAN))
68: ((:METHOD OPERATE (OPERATION COMPONENT)) #<TEST-OP > #<SYSTEM "stumpwm"=
> :PLAN-CLASS NIL :PLAN-OPTIONS NIL) [fast-method]
69: ((SB-PCL::EMF OPERATE) #<unused argument> #<unused argument> #<TEST-OP =
> #<SYSTEM "stumpwm">)
70: ((LAMBDA NIL :IN OPERATE))
71: ((:METHOD OPERATE :AROUND (T T)) #<TEST-OP > #<SYSTEM "stumpwm">) [fast=
-method]
72: ((SB-PCL::EMF OPERATE) #<unused argument> #<unused argument> TEST-OP "s=
tumpwm")
73: ((LAMBDA NIL :IN OPERATE))
74: ((:METHOD OPERATE :AROUND (T T)) TEST-OP "stumpwm") [fast-method]
75: (ASDF/SESSION:CALL-WITH-ASDF-SESSION #<CLOSURE (LAMBDA NIL :IN OPERATE)=
 {1001C201AB}> :OVERRIDE T :KEY NIL :OVERRIDE-CACHE T :OVERRIDE-FORCING NIL)
76: ((LAMBDA NIL :IN OPERATE))
77: (ASDF/SESSION:CALL-WITH-ASDF-SESSION #<CLOSURE (LAMBDA NIL :IN OPERATE)=
 {1001C1D59B}> :OVERRIDE NIL :KEY NIL :OVERRIDE-CACHE NIL :OVERRIDE-FORCING=
 NIL)
78: ((:METHOD OPERATE :AROUND (T T)) TEST-OP "stumpwm") [fast-method]
79: (TEST-SYSTEM "stumpwm")
80: (SB-INT:SIMPLE-EVAL-IN-LEXENV (TEST-SYSTEM "stumpwm") #<NULL-LEXENV>)
81: (EVAL (TEST-SYSTEM "stumpwm"))
82: (SB-IMPL::PROCESS-EVAL/LOAD-OPTIONS ((:EVAL . "(require :asdf)") (:EVAL=
 . "(asdf:load-asd (truename \"/gnu/store/nmsk3r03r06rq4nafxg6i9isim9xf61r-=
stumpwm-18.11-lib/share/common-lisp/sbcl-source/stumpwm/stumpwm.asd\") :nam=
e \"stumpwm\")") (:EVAL . "(when (uiop:file-exists-p \"stumpwm-tests.asd\")=
 (asdf:load-asd (truename \"stumpwm-tests.asd\")))") (:EVAL . "(when (uiop:=
file-exists-p \"stumpwm-test.asd\") (asdf:load-asd (truename \"stumpwm-test=
.asd\")))") (:EVAL . "(when (uiop:file-exists-p \"tests.asd\") (asdf:load-a=
sd (truename \"tests.asd\")))") (:EVAL . "(when (uiop:file-exists-p \"test.=
asd\") (asdf:load-asd (truename \"test.asd\")))") (:EVAL . "(asdf:test-syst=
em \"stumpwm\")") (:QUIT)))
83: (SB-IMPL::TOPLEVEL-INIT)
84: ((FLET SB-UNIX::BODY :IN SB-EXT:SAVE-LISP-AND-DIE))
85: ((FLET "WITHOUT-INTERRUPTS-BODY-27" :IN SB-EXT:SAVE-LISP-AND-DIE))
86: ((LABELS SB-IMPL::RESTART-LISP :IN SB-EXT:SAVE-LISP-AND-DIE))

unhandled condition in --disable-debugger mode, quitting
;=20
; compilation unit aborted
;   caught 1 fatal ERROR condition
Backtrace:
           7 (primitive-load "/gnu/store/jzhdi2girfhvlgqz0lmfh2pbal6=E2=80=
=A6")
In ice-9/eval.scm:
   191:35  6 (_ _)
In ice-9/boot-9.scm:
    152:2  5 (with-fluid* _ _ _)
    152:2  4 (with-fluid* _ _ _)
In srfi/srfi-1.scm:
   863:16  3 (every1 #<procedure 75e1c0 at /gnu/store/228yfv8c0q7l6=E2=80=
=A6> =E2=80=A6)
In /gnu/store/228yfv8c0q7l6m8xri4nhkfh6ix8lbdp-module-import/guix/build/gnu=
-build-system.scm:
   799:28  2 (_ _)
In /gnu/store/228yfv8c0q7l6m8xri4nhkfh6ix8lbdp-module-import/guix/build/asd=
f-build-system.scm:
    143:8  1 (check #:tests? _ #:outputs _ #:inputs _ #:asd-file _ # =E2=80=
=A6)
In /gnu/store/228yfv8c0q7l6m8xri4nhkfh6ix8lbdp-module-import/guix/build/uti=
ls.scm:
    616:6  0 (invoke _ . _)

/gnu/store/228yfv8c0q7l6m8xri4nhkfh6ix8lbdp-module-import/guix/build/utils.=
scm:616:6: In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "/gn=
u/store/5iki23h2q7z9714dvqai426haaihrf5a-sbcl-1.4.13/bin/sbcl" arguments: (=
"--non-interactive" "--eval" "(require :asdf)" "--eval" "(asdf:load-asd (tr=
uename \"/gnu/store/nmsk3r03r06rq4nafxg6i9isim9xf61r-stumpwm-18.11-lib/shar=
e/common-lisp/sbcl-source/stumpwm/stumpwm.asd\") :name \"stumpwm\")" "--eva=
l" "(when (uiop:file-exists-p \"stumpwm-tests.asd\") (asdf:load-asd (truena=
me \"stumpwm-tests.asd\")))" "--eval" "(when (uiop:file-exists-p \"stumpwm-=
test.asd\") (asdf:load-asd (truename \"stumpwm-test.asd\")))" "--eval" "(wh=
en (uiop:file-exists-p \"tests.asd\") (asdf:load-asd (truename \"tests.asd\=
")))" "--eval" "(when (uiop:file-exists-p \"test.asd\") (asdf:load-asd (tru=
ename \"test.asd\")))" "--eval" "(asdf:test-system \"stumpwm\")") exit-stat=
us: 1 term-signal: #f stop-signal: #f] 491fc0>)'.
--8<---------------cut here---------------end--------------->8---

---
WBR, Boris Dekshteyn




Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 24 Dec 2018 15:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 10:09:15 2018
Received: from localhost ([127.0.0.1]:35545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbRqz-00067w-FN
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:09:13 -0500
Received: from mail-lf1-f52.google.com ([209.85.167.52]:45577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1gbRqy-00067g-4x
 for 33854 <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:09:12 -0500
Received: by mail-lf1-f52.google.com with SMTP id b20so8335545lfa.12
 for <33854 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 07:09:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=BLrYQ5RaC/rfv9BqvrA39liQqOdmIMqCoDTO+GO+PeM=;
 b=HytjBqOrmmeSClP+ufF0ErpNtZQXTQiVGwqU6fuJ0XZeQXbVZdMJFXfv6ZDFGrWqsZ
 Kn0kMbK7GvE5pGk5IqRQkgWJ0zo7MenAteXP3P86nVBCDoMydHKeMJCum8kZJzu3yNvB
 fOg9za1DtN1IVpHR0A583xvmWsqrqhXAgRxcKrXhtAVtNye7BkhdvHqp0iFjctsvjzX8
 HussTuWcU38FbmQ4YEn6k1+xTibMlP3gRBbGnf1QRVaskQ34pv4rRcfjhyNznaHVOL7u
 sA96WashKpLNZcyQDVxdYeJ4+miaAgr68YIBEpzhQv3d3PJcWnrwGLFFSeBWvIIMoUda
 3stQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=BLrYQ5RaC/rfv9BqvrA39liQqOdmIMqCoDTO+GO+PeM=;
 b=RDVFN0wNhmkamYTQW8kbK2Y1rN2yQyuSn464cd6AOXeuJMjHJhzHyk5ZVecdKuhe/l
 QLB9Rywel59kN0akzTdPeuaNlUlIYZ6ZWaeH7DdviwOc3udOTVzlsu4fui8nIEiKYfDd
 5IhOXvYnaMscfS8Y6/VeVYYdQGS8qAG+MzmvBZOE4cyiGrwyF9IR8YuYHpSmtLSR1smn
 Znwaw2iDez/31EJA6EnOI+v5ky49s6XbwqdEgMCFJF5CoHgGBLZzZ2t+VLDQTeNma5DA
 pEJmMrBvNH9wWSyf8bj2VBdcdPpJBRuQUQ6i9Xekg36fIfROxQbDjY70O020deZBAUBV
 SJdA==
X-Gm-Message-State: AA+aEWYP9S3ywEF1WOEjilrdqHcw0ip/fYtObHCYhwVfZ/8EmFGl2Hyo
 VskkzMHjVwlUR5YCXI+YGU+dkMWW
X-Google-Smtp-Source: AFSGD/UI/mTU6c2Uf31soGAonTXm5Lq4h1E5ruPSZqy88IOoit8ej7cthofZGmt1m+YVUd5ZzCzMEg==
X-Received: by 2002:a19:7d42:: with SMTP id y63mr6372421lfc.47.1545664146143; 
 Mon, 24 Dec 2018 07:09:06 -0800 (PST)
Received: from leviafan ([217.107.194.19])
 by smtp.gmail.com with ESMTPSA id r203sm2148015lff.13.2018.12.24.07.09.04
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 07:09:05 -0800 (PST)
From: Alex Kost <alezost@HIDDEN>
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#33854: StumpWM build failing.
References: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
 <877efztpxp.fsf@HIDDEN> <87wonzezpv.fsf@HIDDEN>
Date: Mon, 24 Dec 2018 18:09:21 +0300
In-Reply-To: <87wonzezpv.fsf@HIDDEN> (Alex Kost's message of "Mon, 24 Dec
 2018 18:01:00 +0300")
Message-ID: <87sgynezby.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Alex Kost (2018-12-24 18:01 +0300) wrote: > Oleg Pykhalov
 (2018-12-24 09:10 +0300) wrote: > >> Hi, >> >> Thank you for notice this.
 >> >> "brettg@HIDDEN" writes: >> >>> Hi all, StumpWM is failing to build
 on my machine. Can anybody >>> [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
 no trust [209.85.167.52 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (alezost[at]gmail.com)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [217.107.194.19 listed in zen.spamhaus.org]
X-Debbugs-Envelope-To: 33854
Cc: 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Alex Kost (2018-12-24 18:01 +0300) wrote: > Oleg Pykhalov
   (2018-12-24 09:10 +0300) wrote: > >> Hi, >> >> Thank you for notice this.
   >> >> "brettg@HIDDEN" writes: >> >>> Hi all, StumpWM is failing to build
    on my machine. Can anybody >>> [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [209.85.167.52 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [217.107.194.19 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alezost[at]gmail.com)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Alex Kost (2018-12-24 18:01 +0300) wrote:

> Oleg Pykhalov (2018-12-24 09:10 +0300) wrote:
>
>> Hi,
>>
>> Thank you for notice this.
>>
>> "brettg@HIDDEN" <brettg@HIDDEN> writes:
>>
>>> Hi all, StumpWM is failing to build on my machine. Can anybody
>>> replicate this? [=E2=80=A6]
>>
>> The build farm can https://ci.guix.info/build/721131
>
> Actually it can't since the build status is "1" which means "failed".

Oops, I'm sorry.  Initially I thought that you meant "build farm can
build it", but now I see you meant "build farm can reproduce the fail" :-)

--=20
Alex




Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 24 Dec 2018 15:00:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 10:00:54 2018
Received: from localhost ([127.0.0.1]:35536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbRiw-0004b9-6g
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:00:54 -0500
Received: from mail-lf1-f41.google.com ([209.85.167.41]:45087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1gbRit-0004Ur-Nf
 for 33854 <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:00:52 -0500
Received: by mail-lf1-f41.google.com with SMTP id b20so8322445lfa.12
 for <33854 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 07:00:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=0GAgJDgSNTOxG/3dQt9oOJ5YDwUhE64BwtfQ2Uq0BtU=;
 b=UXGs4C2+ABxBIOZg/RVk1GwSBXBEEdt7zRh3CfDW/tkxW3/IK9Q4g+j7nZfq6NXBUd
 zXLk7JqRXBJGWz/xl3xs2fxSe0sowsBy91UBPdqSmCnYoYd+2wnFvHR09yKZ3ioa9e6c
 XdHPj7KjTnmkdOy54OUlIiyi6iS5B3z92kcdiQi/2O0IInulXEg8AdA908DcvCUjVGdC
 VInYuDUEdEDBO9xMULA0c5pf2xuNW8dv7QR/oPzF7xZefmij7UANamhfGSwcNjDNsSV/
 6loBDi8Cdn6N7+YK9IAlspWF9P9IKJOqKTxmO4pBxKODVj6kyJBu3/Kgl1VEte+k1WZy
 QZYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=0GAgJDgSNTOxG/3dQt9oOJ5YDwUhE64BwtfQ2Uq0BtU=;
 b=oQNNcrbHGOTvSfOmI7qGyVK7f/7XQ/QLgZyCZZPOXLyfLWOawIefei2otUtQP90Pgv
 8HiZZC32MpsT21yFhTG2x3d6C21u24zUrFOD/f6RQSYS+4uwGW+T0+ReVMfm8qr5qILv
 h7P+T0Q0sJGJQZQqI3WwgoxEJKaB2LWx/cvufflyg2qg+0bgH7rviMwo1Ll637LvWgBV
 3wrEgp+fAfsesV6MQTqbEwjakAGQd6xINM+WU2JWBewYgLJMMwJuDFQVNlFoSHY6DwGY
 KpshjS97N1EfNBuQI3wM/wFz8GKw3k06Aokne4kl50PuTxtFLnkopIJ6ICHBz50s+rfN
 yvCw==
X-Gm-Message-State: AA+aEWZoLcaaOvPNj686zWCrUPy/EKu8ApH++uL8WlsfmoL6MLe/vH4f
 0mA0WAr0tQmw9Qb8b2ocA7EGBYsA
X-Google-Smtp-Source: AFSGD/WQTU1FWnGY8FPkEDJsRBX8VXlx3itOeEFERvc1r7EG8INHKFQk85/QRrfDEiYLUUzR93Z0Gg==
X-Received: by 2002:a19:9c92:: with SMTP id f140mr6470806lfe.41.1545663645595; 
 Mon, 24 Dec 2018 07:00:45 -0800 (PST)
Received: from leviafan ([217.107.194.19])
 by smtp.gmail.com with ESMTPSA id c20sm6251801lfj.67.2018.12.24.07.00.44
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 07:00:44 -0800 (PST)
From: Alex Kost <alezost@HIDDEN>
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#33854: StumpWM build failing.
References: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
 <877efztpxp.fsf@HIDDEN>
Date: Mon, 24 Dec 2018 18:01:00 +0300
In-Reply-To: <877efztpxp.fsf@HIDDEN> (Oleg Pykhalov's message of "Mon, 24
 Dec 2018 09:10:58 +0300")
Message-ID: <87wonzezpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Oleg Pykhalov (2018-12-24 09:10 +0300) wrote: > Hi, > > Thank
    you for notice this. > > "brettg@HIDDEN" writes: > >> Hi all, StumpWM
    is failing to build on my machine. Can anybody >> replicate this? […] >
    > The build farm can https://ci.gu [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [217.107.194.19 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alezost[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [209.85.167.41 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.41 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 33854
Cc: "brettg@HIDDEN" <brettg@HIDDEN>, 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Oleg Pykhalov (2018-12-24 09:10 +0300) wrote: > Hi, > > Thank
    you for notice this. > > "brettg@HIDDEN" writes: > >> Hi all, StumpWM
    is failing to build on my machine. Can anybody >> replicate this? […] >
    > The build farm can https://ci.gu [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [209.85.167.41 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [217.107.194.19 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.41 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alezost[at]gmail.com)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Oleg Pykhalov (2018-12-24 09:10 +0300) wrote:

> Hi,
>
> Thank you for notice this.
>
> "brettg@HIDDEN" <brettg@HIDDEN> writes:
>
>> Hi all, StumpWM is failing to build on my machine. Can anybody
>> replicate this? [=E2=80=A6]
>
> The build farm can https://ci.guix.info/build/721131

Actually it can't since the build status is "1" which means "failed".
See the log: <https://ci.guix.info/build/721131/log/raw>.


By the way, if you have 'emacs-build-farm' package installed, you can
look at this build info in a more human readable form:

  M-x build-farm b i 721131

In the resulting *Farm Build Info* buffer, you can press "Build log"
button to open the log in Emacs (in `guix-build-log-mode').

--=20
Alex




Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at 33854 <at> debbugs.gnu.org:


Received: (at 33854) by debbugs.gnu.org; 24 Dec 2018 06:11:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 01:11:18 2018
Received: from localhost ([127.0.0.1]:34209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbJSO-0000j7-CD
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 01:11:18 -0500
Received: from mail-pg1-f171.google.com ([209.85.215.171]:37748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1gbJSM-0000iu-Mu
 for 33854 <at> debbugs.gnu.org; Mon, 24 Dec 2018 01:11:15 -0500
Received: by mail-pg1-f171.google.com with SMTP id c25so5237820pgb.4
 for <33854 <at> debbugs.gnu.org>; Sun, 23 Dec 2018 22:11:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0CUw6XJw9GeMbRwM+JghO+djZfm86c0NztUFMXoGTS8=;
 b=SwulFK9taOwlRPH5VHhccur8X7b4f/xnbvTOBDPqEPLKj46MldxPtRpDLdRIfEMtZe
 /xeS2k698OxB2ECHsLvQ1UNjUzgfKC9ve4vxexe7fRIot8/3oeXx2V/xHkk/Cm91xMd8
 rciWPA8xXkdNmMqxkSIJP86NrP8iTbtBMKDWNXg64cj8dDiuuktj2DrNUTCfAweCEEOD
 ooWsEfOiw1p7m/OD7KCOGQ523NMslcTaSJVGGWImS2ssfK7ZmRkkginqnPcCapWOj2ng
 fZeuxNZc+SltG8mTIl/8yeYKWKAzo/LOR1na5Gzjlo+iy30TAHTUKB3i4gpFtQf8tOmc
 fXiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0CUw6XJw9GeMbRwM+JghO+djZfm86c0NztUFMXoGTS8=;
 b=pYjI9Vj0CYrSnEdjq4kAM5uTzVzW9uLvniCZmBYByTOo117Nh4fOleVfceA6GPWBme
 NCOyA9k3jJ5YdqnUrY2YssQl4OYC/mvW5YKPmeWWbfUEVEeWOSqVKSNjIxMFu1Hurqpr
 jBldVmPIYZdhFRjyY2TYAonlx+/VQqYOYhcuE6Lw193hQy5KCqdEOlT1PAVIbzkRZWmo
 dm8s5VdL6EQ9WtmkGFcmpfLFwkPtK6+9dzUJO0FBQK0a4VjwOQZ86dwBon19biLlOoEJ
 P2vhOmlBfEYobBovasY18RBGXzGbDUWkK7c59h0TBv2G2zSTMhQIayPK8ZQC9NrhNmYF
 BTtA==
X-Gm-Message-State: AA+aEWam2QqdXTAVxIC62vX3NIQHhdVjKPtfVJEJZAAsvVDGq5PJuaLg
 0PqlvjbicwM2iG8GhUz8UDXnKeDB
X-Google-Smtp-Source: AFSGD/VKmwe8Bln4dyJ+bx5O08r7aTKPtzv8e4+UTPwY1bysI4XGkFYZJAWcLtLpuBLazi/wjtsZTg==
X-Received: by 2002:a62:1d8f:: with SMTP id d137mr11909184pfd.11.1545631868619; 
 Sun, 23 Dec 2018 22:11:08 -0800 (PST)
Received: from magnolia ([178.67.254.124])
 by smtp.gmail.com with ESMTPSA id i73sm44365126pfi.66.2018.12.23.22.11.05
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 23 Dec 2018 22:11:07 -0800 (PST)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: "brettg\@posteo.net" <brettg@HIDDEN>
Subject: Re: bug#33854: StumpWM build failing.
References: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
Date: Mon, 24 Dec 2018 09:10:58 +0300
In-Reply-To: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
 (brettg@HIDDEN's message of "Sun, 23 Dec 2018 15:25:29 -0600")
Message-ID: <877efztpxp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33854
Cc: 33854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Thank you for notice this.

"brettg@HIDDEN" <brettg@HIDDEN> writes:

> Hi all, StumpWM is failing to build on my machine. Can anybody
> replicate this? [=E2=80=A6]

The build farm can https://ci.guix.info/build/721131

Oleg.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEcjhxI46s62NFSFhXFn+OpQAa+pwFAlwgeHIACgkQFn+OpQAa
+pxHGA/7BNAs4xlGs9P0Kc+Bmuif64oQM6qV48KouE/Tgr8slgcXBnoTllWiDyW2
IclnuYaAXngJad+NNx11tuoyERp4hDVUcZFzBKeu5N8nf8ETkQfL/jYA9aKU+1G7
gV4drrOFvXYybjOhjjok8c+h4pl0C2OH8El3hmHHhCRz0t7fJ1nf4pzvWwpkBWiR
offTcOgwDT9hBThiKpVl2GlaFq2SpE2E99VQoTloTghjwGEqTsLFhZyPA936X/Qs
ZlzNer+PQX0L3Q7kgDXYGeZmtPdKE7BUuOsWMFFbsnUGOmsrTlZZgI1SvMYw9bI9
kkaeasGrXmy6+u73ClTbUbc+aheZ2zKY2J0yMIKXklz1AhBa4qc6Rzro0npXzK3/
e9teUhwAK2pfGpLaH216B+bA8mo2S3CsCdaxpuuH7t91gIqS26yA778MIJmXhDLh
Fl5KUjD+/xHz6NuTPFfx6ABi9flywmqykf6/SIgqFJGKS4NWGhsQExkfkZIEy55K
6ByC56Zytf8qbou+/s75ijG78qYZYGl2YvcKrdgtTcLvQoqKXbs2vxQOoDvVS5fq
szTGkZJuIdFUkgwFWjz6n4tyswZMP0i/8sreKSNqMakw40EV2iynW/J/K3CnD+t3
LhqkLOX8oN0ZLq1Bbc+HiMdj1xWi73Q9HRodBKanra1SZfGRP4g=
=dyx6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Dec 2018 21:25:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 23 16:25:59 2018
Received: from localhost ([127.0.0.1]:34081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbBG3-0004Fz-8E
	for submit <at> debbugs.gnu.org; Sun, 23 Dec 2018 16:25:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gbBG1-0004Fj-F4
 for submit <at> debbugs.gnu.org; Sun, 23 Dec 2018 16:25:58 -0500
Received: from lists.gnu.org ([208.118.235.17]:46022)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gbBFu-0006A5-Fd
 for submit <at> debbugs.gnu.org; Sun, 23 Dec 2018 16:25:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39453)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gbBFr-0007Zs-KK
 for bug-guix@HIDDEN; Sun, 23 Dec 2018 16:25:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_05,HTML_MESSAGE,
 RCVD_IN_DNSWL_MED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gbBFl-0005Pt-Mx
 for bug-guix@HIDDEN; Sun, 23 Dec 2018 16:25:45 -0500
Received: from mout02.posteo.de ([185.67.36.66]:45173)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gbBFk-0004jN-Au
 for bug-guix@HIDDEN; Sun, 23 Dec 2018 16:25:41 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B87ED2400E5
 for <bug-guix@HIDDEN>; Sun, 23 Dec 2018 22:25:33 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1545600333; bh=aDO5C/wlpQsI+2/zSw63DE9WMYfOzSXUCt7TuY9ogbU=;
 h=Date:Subject:From:To:From;
 b=pi8jlvbvQQgEdUM7wOK0PWOTJUv94/YMrblgWY8LRG2p5oKKRWFCACfnArI32yH3G
 0AHPLcmiCqYFDWwuUYHR2v2gdva46JhvIvtFJdihH8+m4YfTWKCezjXKAqjF8XRY1B
 UsPtFMrX/RiuMsPZEXtPijpTXILz+hJJGinmsMgOkNQ2aZSKODIwvIb+/IheGn+X9h
 pwpHWeivxBI8m9YNhGfOCI2Gzu39PCgQJpXCzhaqv59tHh2gXTk7ShjmVjpKUZkWVi
 CocssUrl24vx9K4NkWPDNfVRu5+Gph/GP07+xa9aY0gp9vniAJXTRBnVLW1moL3hKc
 zITYkhIFCJuLQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43NFlJ4Jqpz9rxQ
 for <bug-guix@HIDDEN>; Sun, 23 Dec 2018 22:25:32 +0100 (CET)
Date: Sun, 23 Dec 2018 15:25:29 -0600
Subject: StumpWM build failing.
Message-ID: <4he7fjmurtf2cvitjem4snh3.1545600224075@HIDDEN>
From: "brettg@HIDDEN" <brettg@HIDDEN>
To: "bug-guix@HIDDEN" <bug-guix@HIDDEN>
MIME-Version: 1.0
X-Priority: 3
Content-Type: multipart/alternative;
 boundary="--_com.lge.email_4327097815445630"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.67.36.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

----_com.lge.email_4327097815445630
Content-Type: text/plain;
   charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi all, StumpWM is failing to build on my machine. Can anybody replicate =
this? I am away from my computer at the moment, will provide logs later i=
f needed.
Best,Brett Gilio
Sent from my Sprint Phone.
----_com.lge.email_4327097815445630
Content-Type: text/html;
   charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head>






</head>
<body>
    <div style=3D"font-size: 10pt;"><div dir=3D"auto">Hi all, StumpWM is =
failing to build on my machine. Can anybody replicate this? I am away fro=
m my computer at the moment, will provide logs later if needed.</div><div=
 dir=3D"auto"><br></div><div dir=3D"auto">Best,</div><div dir=3D"auto">Br=
ett Gilio</div><div dir=3D"auto"><br></div><div><div dir=3D"auto" style=3D=
"font-size:9pt;"><i>Sent from my Sprint Phone.</i></div></div></div>


</body></html>
----_com.lge.email_4327097815445630--






Acknowledgement sent to "brettg@HIDDEN" <brettg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33854; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.